BraseroBurnSession
3
BRASERO Library

# BraseroBurnSession

## Synopsis

                        BraseroBurnSession;
    BraseroBurnSession * brasero_burn_session_new           ();
    BraseroBurnResult   brasero_burn_session_add_track      (BraseroBurnSession *session,
                                                             BraseroTrack *track,
                                                             BraseroTrack *sibling);
    BraseroBurnResult   brasero_burn_session_move_track     (BraseroBurnSession *session,
                                                             BraseroTrack *track,
                                                             BraseroTrack *sibling);
    BraseroBurnResult   brasero_burn_session_remove_track   (BraseroBurnSession *session,
                                                             BraseroTrack *track);
    GSList *            brasero_burn_session_get_tracks     (BraseroBurnSession *session);
    BraseroBurnResult   brasero_burn_session_get_status     (BraseroBurnSession *session,
                                                             BraseroStatus *status);
    BraseroBurnResult   brasero_burn_session_get_size       (BraseroBurnSession *session,
                                                             goffset *blocks,
                                                             goffset *bytes);
    BraseroBurnResult   brasero_burn_session_get_input_type (BraseroBurnSession *session,
                                                             BraseroTrackType *type);
    BraseroBurnResult   brasero_burn_session_tag_lookup     (BraseroBurnSession *session,
                                                             const gchar *tag,
                                                             GValue **value);
    BraseroBurnResult   brasero_burn_session_tag_add        (BraseroBurnSession *session,
                                                             const gchar *tag,
                                                             GValue *value);
    BraseroBurnResult   brasero_burn_session_tag_remove     (BraseroBurnSession *session,
                                                             const gchar *tag);
    BraseroDrive *      brasero_burn_session_get_burner     (BraseroBurnSession *session);
    void                brasero_burn_session_set_burner     (BraseroBurnSession *session,
                                                             BraseroDrive *burner);
    BraseroBurnResult   brasero_burn_session_set_image_output_full
                                                            (BraseroBurnSession *session,
                                                             BraseroImageFormat format,
                                                             const gchar *image,
                                                             const gchar *toc);
    BraseroBurnResult   brasero_burn_session_get_output     (BraseroBurnSession *session,
                                                             gchar **image,
                                                             gchar **toc);
    BraseroImageFormat  brasero_burn_session_get_output_format
                                                            (BraseroBurnSession *session);
    void                brasero_burn_session_set_flags      (BraseroBurnSession *session,
                                                             BraseroBurnFlag flag);
    void                brasero_burn_session_add_flag       (BraseroBurnSession *session,
                                                             BraseroBurnFlag flag);
    void                brasero_burn_session_remove_flag    (BraseroBurnSession *session,
                                                             BraseroBurnFlag flag);
    BraseroBurnFlag     brasero_burn_session_get_flags      (BraseroBurnSession *session);
    BraseroBurnResult   brasero_burn_session_set_tmpdir     (BraseroBurnSession *session,
                                                             const gchar *path);
    const gchar *       brasero_burn_session_get_tmpdir     (BraseroBurnSession *session);
    void                brasero_burn_session_push_settings  (BraseroBurnSession *session);
    void                brasero_burn_session_pop_settings   (BraseroBurnSession *session);
    void                brasero_burn_session_push_tracks    (BraseroBurnSession *session);
    BraseroBurnResult   brasero_burn_session_pop_tracks     (BraseroBurnSession *session);
    BraseroBurnResult   brasero_burn_session_get_burn_flags (BraseroBurnSession *session,
                                                             BraseroBurnFlag *supported,
                                                             BraseroBurnFlag *compulsory);
    BraseroBurnResult   brasero_burn_session_get_blank_flags
                                                            (BraseroBurnSession *session,
                                                             BraseroBurnFlag *supported,
                                                             BraseroBurnFlag *compulsory);
    BraseroBurnResult   brasero_burn_session_can_blank      (BraseroBurnSession *session);
    BraseroBurnResult   brasero_burn_session_can_burn       (BraseroBurnSession *session,
                                                             gboolean use_flags);
    BraseroBurnResult   brasero_burn_session_input_supported
                                                            (BraseroBurnSession *session,
                                                             BraseroTrackType *input,
                                                             gboolean use_flags);
    BraseroBurnResult   brasero_burn_session_output_supported
                                                            (BraseroBurnSession *session,
                                                             BraseroTrackType *output);
    BraseroMedia        brasero_burn_session_get_required_media_type
                                                            (BraseroBurnSession *session);
    guint               brasero_burn_session_get_possible_output_formats
                                                            (BraseroBurnSession *session,
                                                             BraseroImageFormat *formats);
    BraseroImageFormat  brasero_burn_session_get_default_output_format
                                                            (BraseroBurnSession *session);
    const gchar *       brasero_burn_session_get_log_path   (BraseroBurnSession *session);
    void                brasero_burn_session_set_log_path   (BraseroBurnSession *session,
                                                             const gchar *session_path);
    gboolean            brasero_burn_session_start          (BraseroBurnSession *session);
    void                brasero_burn_session_stop           (BraseroBurnSession *session);
    void                brasero_burn_session_logv           (BraseroBurnSession *session,
                                                             const gchar *format,
                                                             va_list arg_list);
    void                brasero_burn_session_log            (BraseroBurnSession *session,
                                                             const gchar *format,
                                                             ...);
    const gchar *       brasero_burn_session_get_label      (BraseroBurnSession *session);
    void                brasero_burn_session_set_label      (BraseroBurnSession *session,
                                                             const gchar *label);
    BraseroBurnResult   brasero_burn_session_set_rate       (BraseroBurnSession *session,
                                                             guint64 rate);
    guint64             brasero_burn_session_get_rate       (BraseroBurnSession *session);

## Description

## Details

### BraseroBurnSession

    typedef struct {
    	GObject parent;
    } BraseroBurnSession;

### brasero_burn_session_new ()

    BraseroBurnSession * brasero_burn_session_new           ();

Returns :

### brasero_burn_session_add_track ()

    BraseroBurnResult   brasero_burn_session_add_track      (BraseroBurnSession *session,
                                                             BraseroTrack *track,
                                                             BraseroTrack *sibling);

`session` :

`track` :

`sibling` :

Returns :

### brasero_burn_session_move_track ()

    BraseroBurnResult   brasero_burn_session_move_track     (BraseroBurnSession *session,
                                                             BraseroTrack *track,
                                                             BraseroTrack *sibling);

`session` :

`track` :

`sibling` :

Returns :

### brasero_burn_session_remove_track ()

    BraseroBurnResult   brasero_burn_session_remove_track   (BraseroBurnSession *session,
                                                             BraseroTrack *track);

`session` :

`track` :

Returns :

### brasero_burn_session_get_tracks ()

    GSList *            brasero_burn_session_get_tracks     (BraseroBurnSession *session);

`session` :

Returns :

### brasero_burn_session_get_status ()

    BraseroBurnResult   brasero_burn_session_get_status     (BraseroBurnSession *session,
                                                             BraseroStatus *status);

`session` :

`status` :

Returns :

### brasero_burn_session_get_size ()

    BraseroBurnResult   brasero_burn_session_get_size       (BraseroBurnSession *session,
                                                             goffset *blocks,
                                                             goffset *bytes);

`session` :

`blocks` :

`bytes` :

Returns :

### brasero_burn_session_get_input_type ()

    BraseroBurnResult   brasero_burn_session_get_input_type (BraseroBurnSession *session,
                                                             BraseroTrackType *type);

`session` :

`type` :

Returns :

### brasero_burn_session_tag_lookup ()

    BraseroBurnResult   brasero_burn_session_tag_lookup     (BraseroBurnSession *session,
                                                             const gchar *tag,
                                                             GValue **value);

`session` :

`tag` :

`value` :

Returns :

### brasero_burn_session_tag_add ()

    BraseroBurnResult   brasero_burn_session_tag_add        (BraseroBurnSession *session,
                                                             const gchar *tag,
                                                             GValue *value);

`session` :

`tag` :

`value` :

Returns :

### brasero_burn_session_tag_remove ()

    BraseroBurnResult   brasero_burn_session_tag_remove     (BraseroBurnSession *session,
                                                             const gchar *tag);

`session` :

`tag` :

Returns :

### brasero_burn_session_get_burner ()

    BraseroDrive *      brasero_burn_session_get_burner     (BraseroBurnSession *session);

`session` :

Returns :

### brasero_burn_session_set_burner ()

    void                brasero_burn_session_set_burner     (BraseroBurnSession *session,
                                                             BraseroDrive *burner);

`session` :

`burner` :

### brasero_burn_session_set_image_output_full ()

    BraseroBurnResult   brasero_burn_session_set_image_output_full
                                                            (BraseroBurnSession *session,
                                                             BraseroImageFormat format,
                                                             const gchar *image,
                                                             const gchar *toc);

`session` :

`format` :

`image` :

`toc` :

Returns :

### brasero_burn_session_get_output ()

    BraseroBurnResult   brasero_burn_session_get_output     (BraseroBurnSession *session,
                                                             gchar **image,
                                                             gchar **toc);

`session` :

`image` :

`toc` :

Returns :

### brasero_burn_session_get_output_format ()

    BraseroImageFormat  brasero_burn_session_get_output_format
                                                            (BraseroBurnSession *session);

`session` :

Returns :

### brasero_burn_session_set_flags ()

    void                brasero_burn_session_set_flags      (BraseroBurnSession *session,
                                                             BraseroBurnFlag flag);

`session` :

`flag` :

### brasero_burn_session_add_flag ()

    void                brasero_burn_session_add_flag       (BraseroBurnSession *session,
                                                             BraseroBurnFlag flag);

`session` :

`flag` :

### brasero_burn_session_remove_flag ()

    void                brasero_burn_session_remove_flag    (BraseroBurnSession *session,
                                                             BraseroBurnFlag flag);

`session` :

`flag` :

### brasero_burn_session_get_flags ()

    BraseroBurnFlag     brasero_burn_session_get_flags      (BraseroBurnSession *session);

`session` :

Returns :

### brasero_burn_session_set_tmpdir ()

    BraseroBurnResult   brasero_burn_session_set_tmpdir     (BraseroBurnSession *session,
                                                             const gchar *path);

`session` :

`path` :

Returns :

### brasero_burn_session_get_tmpdir ()

    const gchar *       brasero_burn_session_get_tmpdir     (BraseroBurnSession *session);

`session` :

Returns :

### brasero_burn_session_push_settings ()

    void                brasero_burn_session_push_settings  (BraseroBurnSession *session);

`session` :

### brasero_burn_session_pop_settings ()

    void                brasero_burn_session_pop_settings   (BraseroBurnSession *session);

`session` :

### brasero_burn_session_push_tracks ()

    void                brasero_burn_session_push_tracks    (BraseroBurnSession *session);

`session` :

### brasero_burn_session_pop_tracks ()

    BraseroBurnResult   brasero_burn_session_pop_tracks     (BraseroBurnSession *session);

`session` :

Returns :

### brasero_burn_session_get_burn_flags ()

    BraseroBurnResult   brasero_burn_session_get_burn_flags (BraseroBurnSession *session,
                                                             BraseroBurnFlag *supported,
                                                             BraseroBurnFlag *compulsory);

`session` :

`supported` :

`compulsory` :

Returns :

### brasero_burn_session_get_blank_flags ()

    BraseroBurnResult   brasero_burn_session_get_blank_flags
                                                            (BraseroBurnSession *session,
                                                             BraseroBurnFlag *supported,
                                                             BraseroBurnFlag *compulsory);

`session` :

`supported` :

`compulsory` :

Returns :

### brasero_burn_session_can_blank ()

    BraseroBurnResult   brasero_burn_session_can_blank      (BraseroBurnSession *session);

`session` :

Returns :

### brasero_burn_session_can_burn ()

    BraseroBurnResult   brasero_burn_session_can_burn       (BraseroBurnSession *session,
                                                             gboolean use_flags);

`session` :

`use_flags` :

Returns :

### brasero_burn_session_input_supported ()

    BraseroBurnResult   brasero_burn_session_input_supported
                                                            (BraseroBurnSession *session,
                                                             BraseroTrackType *input,
                                                             gboolean use_flags);

`session` :

`input` :

`use_flags` :

Returns :

### brasero_burn_session_output_supported ()

    BraseroBurnResult   brasero_burn_session_output_supported
                                                            (BraseroBurnSession *session,
                                                             BraseroTrackType *output);

`session` :

`output` :

Returns :

### brasero_burn_session_get_required_media_type ()

    BraseroMedia        brasero_burn_session_get_required_media_type
                                                            (BraseroBurnSession *session);

`session` :

Returns :

### brasero_burn_session_get_possible_output_formats ()

    guint               brasero_burn_session_get_possible_output_formats
                                                            (BraseroBurnSession *session,
                                                             BraseroImageFormat *formats);

`session` :

`formats` :

Returns :

### brasero_burn_session_get_default_output_format ()

    BraseroImageFormat  brasero_burn_session_get_default_output_format
                                                            (BraseroBurnSession *session);

`session` :

Returns :

### brasero_burn_session_get_log_path ()

    const gchar *       brasero_burn_session_get_log_path   (BraseroBurnSession *session);

`session` :

Returns :

### brasero_burn_session_set_log_path ()

    void                brasero_burn_session_set_log_path   (BraseroBurnSession *session,
                                                             const gchar *session_path);

`session` :

`session_path` :

### brasero_burn_session_start ()

    gboolean            brasero_burn_session_start          (BraseroBurnSession *session);

`session` :

Returns :

### brasero_burn_session_stop ()

    void                brasero_burn_session_stop           (BraseroBurnSession *session);

`session` :

### brasero_burn_session_logv ()

    void                brasero_burn_session_logv           (BraseroBurnSession *session,
                                                             const gchar *format,
                                                             va_list arg_list);

`session` :

`format` :

`arg_list` :

### brasero_burn_session_log ()

    void                brasero_burn_session_log            (BraseroBurnSession *session,
                                                             const gchar *format,
                                                             ...);

`session` :

`format` :

`...` :

### brasero_burn_session_get_label ()

    const gchar *       brasero_burn_session_get_label      (BraseroBurnSession *session);

`session` :

Returns :

### brasero_burn_session_set_label ()

    void                brasero_burn_session_set_label      (BraseroBurnSession *session,
                                                             const gchar *label);

`session` :

`label` :

### brasero_burn_session_set_rate ()

    BraseroBurnResult   brasero_burn_session_set_rate       (BraseroBurnSession *session,
                                                             guint64 rate);

`session` :

`rate` :

Returns :

### brasero_burn_session_get_rate ()

    guint64             brasero_burn_session_get_rate       (BraseroBurnSession *session);

`session` :

Returns :